Not able to run the server for any app

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Not able to run the server for any app

Piyush Chowhan

Rails 5.2.1

Ruby 2.5.1

are installed 

Not able to run server for any app
What am I missing? 
rails s

Traceback (most recent call last):

2: from /usr/local/bin/rails:23:in `<main>'

1: from /Users/apple/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:308:in `activate_bin_path'

/Users/apple/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe': can't find gem railties (>= 0.a) with executable rails (Gem::GemNotFoundException)

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/466723b5-8539-4ffb-8bb9-a5dd0c91bd10%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Not able to run the server for any app

Rob Zolkos-2
Try running gem pristine --all

On Tue, Oct 23, 2018 at 10:11 PM Piyush Chowhan <[hidden email]> wrote:

Rails 5.2.1

Ruby 2.5.1

are installed 

Not able to run server for any app
What am I missing? 
rails s

Traceback (most recent call last):

2: from /usr/local/bin/rails:23:in `<main>'

1: from /Users/apple/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:308:in `activate_bin_path'

/Users/apple/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe': can't find gem railties (>= 0.a) with executable rails (Gem::GemNotFoundException)

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/466723b5-8539-4ffb-8bb9-a5dd0c91bd10%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/CAJ6MPzKSkZN81VQC8q%3DsF5tFEPRoJXc4_F2j0wnCD5JObpOGYA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Not able to run the server for any app

fugee ohu
In reply to this post by Piyush Chowhan


On Tuesday, October 23, 2018 at 8:11:15 AM UTC-4, Piyush Chowhan wrote:

Rails 5.2.1

Ruby 2.5.1

are installed 

Not able to run server for any app
What am I missing? 
rails s

Traceback (most recent call last):

2: from /usr/local/bin/rails:23:in `<main>'

1: from /Users/apple/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:308:in `activate_bin_path'

/Users/apple/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe': can't find gem railties (>= 0.a) with executable rails (Gem::GemNotFoundException)


You should use rvm to install rails instead of using system /urs/local/bin/rails 

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/a6bb76b1-a0a1-43c5-895f-b9667a935447%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Not able to run the server for any app

fugee ohu
In reply to this post by Piyush Chowhan


On Tuesday, October 23, 2018 at 8:11:15 AM UTC-4, Piyush Chowhan wrote:

Rails 5.2.1

Ruby 2.5.1

are installed 

Not able to run server for any app
What am I missing? 
rails s

Traceback (most recent call last):

2: from /usr/local/bin/rails:23:in `<main>'

1: from /Users/apple/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:308:in `activate_bin_path'

/Users/apple/.rvm/rubies/ruby-2.5.1/lib/ruby/site_ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe': can't find gem railties (>= 0.a) with executable rails (Gem::GemNotFoundException)


 Or actually just gem install rails, I dunno how you end up using a system rails

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/56943ecc-0795-4a1f-a262-598a5cd4063d%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.